
        /* Contenedor principal */
        .lampara {
            display: flex;
            flex-direction: column;
            align-items: center;
            cursor: pointer;
            z-index: 100;
        }

        /* Cristal del foco */
        .foco {
            width: 6vw;
            height: 7vw;
            background-color: #f1c40f;
            border-radius: 50% 50% 35% 35%;
            position: relative;
            box-shadow: 0 0 80px #f1c40f;
            transition: all 0.3s ease;
            border: 2px solid #d4ac0d;
            
        }

        /* Reflejo de luz en el cristal */
        .foco::before {
            content: '';
            position: absolute;
            width: 20px;
            height: 30px;
            background: rgba(255, 255, 255, 0.5);
            border-radius: 50%;
            top: 20px;
            left: 25px;
            transform: rotate(20deg);
        }

        /* Base metálica (la rosca) */
        .base {
            width: 3vw;
            height: 2vw;
            background: #95a5a6;
            margin-top: -8px;
            border-radius: 0 0 8px 8px;
            background-image: linear-gradient(
                #7f8c8d 20%, 
                #34495e 20%, #34495e 40%, 
                #7f8c8d 40%, #7f8c8d 60%, 
                #34495e 60%, #34495e 80%, 
                #7f8c8d 80%
            );
            border: 2px solid #2c3e50;
        }

        /* Efecto al apagar (Hover) */
        .lampara:hover .foco {
            background-color: #7700ff;
            box-shadow: 0 0 80px #7700ff;
            border-color: navajowhite;
        }

        .lampara:hover .foco::before {
            opacity: 0.2;
        }